import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class AusWahlListe_Swing extends JFrame
   implements ActionListener, ListSelectionListener {
   
   JList listenFeld;
   JButton funktion;

   public AusWahlListe_Swing() {
      super("List-test");
      setSize(300, 200);
      setLayout(new FlowLayout());
      setResizable(false) ;

      String[] inhalt = {"Java", "C++", "Smalltalk", "C", "Pascal", "Cobol"};
      listenFeld = new JList(inhalt);
      listenFeld.setVisibleRowCount(4);
      listenFeld.addListSelectionListener(this);
      // listenFeld.setBackground(Color.lightGray);
      add(new JScrollPane(listenFeld));
      
      funktion = new JButton("Funktion ausfhren") ;
      funktion.addActionListener(this);
      add(funktion) ;

      setVisible(true);
      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            setVisible(false);
            dispose();
            System.exit(0);
         }
      } );
   }

   public void actionPerformed(ActionEvent e) {
      Object[] werte = listenFeld.getSelectedValues();

      System.out.println("Wert(e):");
      for (int i = 0; i < werte.length; i++)
         System.out.println(werte[i]);

      System.out.println();
//      listenFeld.clearSelection();
   }

   public void valueChanged(ListSelectionEvent e) {
      int[] pos = listenFeld.getSelectedIndices();

      System.out.println("Position(en):");
      for (int i = 0; i < pos.length; i++)
         System.out.println(pos[i]);

      System.out.println();
  }

   public static void main(String[] args) {
      AusWahlListe_Swing tester = new AusWahlListe_Swing();
   }
}
