import java.awt.*;
import java.awt.event.*;

public class AusWahlListe_AWT extends Frame
   implements ActionListener, ItemListener {
   
   List listenFeld;
   Button funktion;

   public AusWahlListe_AWT() {
      super("List-test");
      setSize(300, 200);
      setLayout(new FlowLayout());
      setResizable(false) ;

      listenFeld = new List(4, true);
      listenFeld.addActionListener(this);
      listenFeld.addItemListener(this);
      // listenFeld.setBackground(Color.lightGray);
      listenFeld.add("Java");
      listenFeld.add("C++");
      listenFeld.add("Smalltalk");
      listenFeld.add("C");
      listenFeld.add("Pascal");
      listenFeld.add("Cobol");
      add(listenFeld);
      
      funktion = new Button("Funktion ausfhren") ;
      funktion.addActionListener(this);
      add(funktion) ;

      setVisible(true);
      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            setVisible(false);
            dispose();
            System.exit(0);
         }
      } );
   }

   public void actionPerformed(ActionEvent e) {
      Object obj = e.getSource();

      if (obj == listenFeld) {
         System.out.println("Doppelklick ausgefhrt");
         String[] sel = listenFeld.getSelectedItems();

         for (int i = 0; i < sel.length; ++i)
            System.out.println(sel[i]);
      }

      if (obj == funktion) {
         System.out.println("Button gedrueckt");
         String[] sel = listenFeld.getSelectedItems();

         for (int i = 0; i < sel.length; ++i)
            System.out.println(sel[i]);
      }
   }

   public void itemStateChanged(ItemEvent e) {
      Object obj = e.getSource();
      if (obj == listenFeld) {
         int pos = ((Integer)e.getItem()).intValue();
         System.out.print("\"" + listenFeld.getItem(pos) + "\"");

         if (e.getStateChange() == ItemEvent.SELECTED)
            System.out.println(" selektiert");
         else
            System.out.println(" deselektiert");
      }
   }

   public static void main(String[] args) {
      AusWahlListe_AWT tester = new AusWahlListe_AWT();
   }
}
